<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.ydl.ydlcommon.view.TitleBar
        android:id="@+id/tb_title"
        android:layout_width="match_parent"
        android:layout_height="@dimen/title_bar_height"
        android:background="@color/platform_white"
        app:pa_left_start_icon="@drawable/platform_common_back"
        app:pa_title_text="手机号" />

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_default_dis_size_large"
        android:gravity="center"
        android:text="已发送短信验证码至"
        android:textSize="@dimen/platform_default_text_size_small" />

    <TextView
        android:id="@+id/tv_phone"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_default_dis_size_large"
        android:gravity="center"
        android:textColor="#FF8A00"
        android:textSize="@dimen/platform_default_text_size_big"
        tools:text="159 571 87971" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_default_dis_size_huge"
        android:orientation="vertical">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="@dimen/user_divide_line_stroke_width"
            android:background="@color/platform_divide_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/platform_white"
            android:orientation="horizontal">

            <TextView
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:padding="@dimen/platform_default_dis_size"
                android:text="验证码" />

            <EditText
                android:id="@+id/et_code"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/platform_white"
                android:hint="请输入"
                android:inputType="number"
                android:padding="@dimen/platform_default_dis_size"
                android:textColorHint="@color/platform_gray7" />

            <TextView
                android:id="@+id/tv_get_code"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="?android:attr/selectableItemBackground"
                android:padding="@dimen/platform_default_dis_size"
                android:text="重新发送"
                android:textColor="@color/platform_main_theme" />
        </LinearLayout>

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="@dimen/user_divide_line_stroke_width"
            android:background="@color/platform_divide_color" />

        <LinearLayout
            android:id="@+id/lin_login_pass"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/platform_white"
            android:orientation="horizontal">

            <TextView
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:padding="@dimen/platform_default_dis_size"
                android:text="登录密码" />

            <EditText
                android:id="@+id/et_password"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/platform_white"
                android:hint="请设置"
                android:digits="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
                android:padding="@dimen/platform_default_dis_size"
                android:textColorHint="@color/platform_gray7" />
        </LinearLayout>

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="@dimen/user_divide_line_stroke_width"
            android:background="@color/platform_divide_color" />


        <TextView
            android:id="@+id/text_pass_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/platform_default_dis_size"
            android:text="密码6~16个字符，数字或英文字母的组合"
            android:textColor="#A6A6A6"
            android:textSize="@dimen/platform_default_text_size_small" />

        <com.ydl.ydlcommon.view.RoundCornerButton
            android:id="@+id/rcb_submit"
            style="?android:attr/borderlessButtonStyle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/platform_default_dis_size"
            android:layout_marginRight="@dimen/platform_default_dis_size"
            android:layout_marginTop="@dimen/platform_default_dis_size_huge"
            android:text="提交"
            android:textColor="@color/platform_white"
            android:textSize="@dimen/platform_default_text_size_big"
            app:pa_round_btn_active_bg="@color/platform_white"
            app:pa_round_btn_bg="@color/platform_main_theme"
            app:pa_round_btn_radio_size="5dp" />


    </LinearLayout>
</LinearLayout>
